Fedora-Fr - Communauté francophone Fedora - Linux

Communauté francophone des utilisateurs de la distribution Linux Fedora.

  

Dernière news : Stand Fedora-Fr sur Paris Open Source Summit 2019

#1 18/09/2018 21:13:46

VINDICATORs
RédactWikix and the graphicatorix!
Modérateur
Lieu : Toulouse(31) France
Inscription : 23/11/2004
Messages : 17 713
Site Web

[Résolu] Petit souci empaquetage version 32 bits...

Voilà, j'ai un souci pour l'empaquetage en version 32 bits sur Fedora 29 bêta 1.3.

Running transaction check
error: Failed to dlopen /usr/lib/rpm-plugins/selinux.so /usr/lib/rpm-plugins/selinux.so: wrong ELF class: ELFCLASS32
Traceback (most recent call last):
  File "/usr/bin/dnf", line 58, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python3.7/site-packages/dnf/cli/main.py", line 179, in user_main
    errcode = main(args)
  File "/usr/lib/python3.7/site-packages/dnf/cli/main.py", line 64, in main
    return _main(base, args, cli_class, option_parser_class)
  File "/usr/lib/python3.7/site-packages/dnf/cli/main.py", line 99, in _main
    return cli_run(cli, base)
  File "/usr/lib/python3.7/site-packages/dnf/cli/main.py", line 123, in cli_run
    ret = resolving(cli, base)
  File "/usr/lib/python3.7/site-packages/dnf/cli/main.py", line 154, in resolving
    base.do_transaction(display=displays)
  File "/usr/lib/python3.7/site-packages/dnf/cli/cli.py", line 235, in do_transaction
    tid = super(BaseCli, self).do_transaction(display)
  File "/usr/lib/python3.7/site-packages/dnf/base.py", line 789, in do_transaction
    self.transaction._populate_rpm_ts(self._ts)
  File "/usr/lib/python3.7/site-packages/dnf/db/group.py", line 284, in _populate_rpm_ts
    ts.addInstall(hdr, tsi, 'i')
  File "/usr/lib64/python3.7/site-packages/rpm/transaction.py", line 84, in addInstall
    raise rpm.error("adding package to transaction failed")
_rpm.error: adding package to transaction failed

Je me demande si ce n'est pas une dépendance 32 bits qui est réclamé ou si c'est autre chose. Pas de souci sur Fedora 28 (évidement cela arrive après que j'ai supprimé cette dernière...).

N'hésitez pas à demander si vous avez besoin de plus d'informations.


AMD Ryzen 7 2700X + MSI Gaming Pro Carbon X470, 32Go de RAM DDR4 3200@3333Mhz Gskill Trident Z RBG CL14, AMD Radeon RX590 Sapphire Nitro+ Special Edition 8Go GDDR5
SSD Samsung : 1x 970 NVME (PCI-express 3.0x4) 500Go + 1x 850 EVO 250Go + 2x 860 EVO 500Go + 2x1To 860 QVO  / HDD : 1x2To WD black 64Mo + 1x4to WD Black 128Mo + 3To WD red
Boitier GMT Bequiet Dark 900 + Lepa 800W 80+gold

Hors ligne

#2 18/09/2018 21:17:18

Nicosss
Membre
Lieu : Isère
Inscription : 05/03/2007
Messages : 5 010
Site Web

Re : [Résolu] Petit souci empaquetage version 32 bits...

Tu as vérifié justement si les dépendances étaient bien existantes ?


F30_64 Gnome-Shell - GA-990FXA-UD3 - Phenom II X6 1100T - NH-D14 - Ati HD 5750 Fanless - 16Go RAM /&/ F30_64 Gnome-Shell - Toshiba Satellite C660D-19X - 8Go RAM
F30_64 - ASRock 960GC-GS FX - AMD FX(tm)-8300 - 16Go RAM

Hors ligne

#3 18/09/2018 21:54:00

VINDICATORs
RédactWikix and the graphicatorix!
Modérateur
Lieu : Toulouse(31) France
Inscription : 23/11/2004
Messages : 17 713
Site Web

Re : [Résolu] Petit souci empaquetage version 32 bits...

Le souci c'est de savoir laquelle des dépendances est manquantes...

# dnf list rpm*
Dernière vérification de l’expiration des métadonnées effectuée il y a 1:37:14 le mar. 18 sept. 2018 20:16:25 CEST.
Paquets installés
rpm.x86_64                                                                               4.14.2-1.fc29                                                @fedora          
rpm-build.x86_64                                                                         4.14.2-1.fc29                                                @fedora          
rpm-build-libs.i686                                                                      4.14.2-1.fc29                                                @fedora          
rpm-build-libs.x86_64                                                                    4.14.2-1.fc29                                                @fedora          
rpm-devel.i686                                                                           4.14.2-1.fc29                                                @fedora          
rpm-libs.i686                                                                            4.14.2-1.fc29                                                @fedora          
rpm-libs.x86_64                                                                          4.14.2-1.fc29                                                @fedora          
rpm-plugin-selinux.i686                                                                  4.14.2-1.fc29                                                @fedora          
rpm-plugin-selinux.x86_64                                                                4.14.2-1.fc29                                                @fedora          
rpm-plugin-systemd-inhibit.x86_64                                                        4.14.2-1.fc29                                                @fedora          
rpm-sign-libs.i686                                                                       4.14.2-1.fc29                                                @fedora          
rpm-sign-libs.x86_64                                                                     4.14.2-1.fc29                                                @fedora          
rpmdevtools.noarch                                                                       8.10-6.fc29                                                  @updates-testing 
rpmfusion-free-release.noarch                                                            29-0.5                                                       @@commandline    
rpmfusion-nonfree-release.noarch                                                         29-0.5                                                       @@commandline    
rpmlint.noarch                                                                           1.10-17.fc29                                                 @fedora          
Paquets disponibles
rpm-apidocs.noarch                                                                       4.14.2-1.fc29                                                fedora           
rpm-cron.noarch                                                                          4.14.2-1.fc29                                                fedora           
rpm-devel.x86_64                                                                         4.14.2-1.fc29                                                fedora           
rpm-mpi-hooks.noarch                                                                     5-4.fc29                                                     fedora           
rpm-ostree.x86_64                                                                        2018.8-1.fc29                                                updates-testing  
rpm-ostree-devel.i686                                                                    2018.8-1.fc29                                                updates-testing  
rpm-ostree-devel.x86_64                                                                  2018.8-1.fc29                                                updates-testing  
rpm-ostree-libs.i686                                                                     2018.8-1.fc29                                                updates-testing  
rpm-ostree-libs.x86_64                                                                   2018.8-1.fc29                                                updates-testing  
rpm-ostree-toolbox.x86_64                                                                2017.2-6.fc29                                                fedora           
rpm-plugin-ima.x86_64                                                                    4.14.2-1.fc29                                                fedora           
rpm-plugin-prioreset.x86_64                                                              4.14.2-1.fc29                                                fedora           
rpm-plugin-syslog.x86_64                                                                 4.14.2-1.fc29                                                fedora           
rpm-sign.x86_64                                                                          4.14.2-1.fc29                                                fedora           
rpmbuild-order.x86_64                                                                    0.2.1-1.fc29                                                 fedora           
rpmconf.noarch                                                                           1.0.19-5.fc29                                                fedora           
rpmconf-base.noarch                                                                      1.0.19-5.fc29                                                fedora           
rpmdeplint.noarch                                                                        1.4-3.fc29                                                   fedora           
rpmemd.x86_64                                                                            1.4.2-1.fc29                                                 fedora           
rpmfusion-cert.noarch                                                                    0.6.2-3.fc29                                                 rpmfusion-free   
rpmfusion-free-appstream-data.noarch                                                     29-3.fc29                                                    rpmfusion-free   
rpmfusion-free-obsolete-packages.noarch                                                  29-1.fc29                                                    rpmfusion-free   
rpmfusion-free-release-rawhide.noarch                                                    29-0.5                                                       rpmfusion-free   
rpmfusion-free-release-tainted.noarch                                                    29-0.5                                                       rpmfusion-free   
rpmfusion-free-remix-kickstarts.noarch                                                   0.28-2.fc29                                                  rpmfusion-free   
rpmfusion-nonfree-appstream-data.noarch                                                  29-2.fc29                                                    rpmfusion-nonfree
rpmfusion-nonfree-obsolete-packages.noarch                                               28-1.fc29                                                    rpmfusion-nonfree
rpmfusion-nonfree-release-rawhide.noarch                                                 29-0.5                                                       rpmfusion-nonfree
rpmfusion-nonfree-release-tainted.noarch                                                 29-0.5                                                       rpmfusion-nonfree
rpmfusion-nonfree-remix-kickstarts.noarch                                                0.28-3.fc29                                                  rpmfusion-nonfree
rpmfusion-packager.noarch                                                                0.6.2-3.fc29                                                 rpmfusion-free   
rpmgrill.noarch                                                                          0.33-3.fc29                                                  fedora           
rpmlint-scl-config.noarch                                                                0-7.fc29                                                     fedora           
rpmorphan.noarch                                                                         1.17-5.fc29                                                  fedora           
rpmreaper.x86_64                                                                         0.2.0-16.fc29                                                fedora           
rpmrebuild.noarch                                                                        2.11-10.fc29                                                 fedora           
rpmspectool.noarch                                                                       1.99.6-4.fc29    

Dernière modification par VINDICATORs (18/09/2018 21:55:40)


AMD Ryzen 7 2700X + MSI Gaming Pro Carbon X470, 32Go de RAM DDR4 3200@3333Mhz Gskill Trident Z RBG CL14, AMD Radeon RX590 Sapphire Nitro+ Special Edition 8Go GDDR5
SSD Samsung : 1x 970 NVME (PCI-express 3.0x4) 500Go + 1x 850 EVO 250Go + 2x 860 EVO 500Go + 2x1To 860 QVO  / HDD : 1x2To WD black 64Mo + 1x4to WD Black 128Mo + 3To WD red
Boitier GMT Bequiet Dark 900 + Lepa 800W 80+gold

Hors ligne

#4 19/09/2018 01:09:29

Beta-Pictoris
Membre
Lieu : Angers
Inscription : 26/09/2010
Messages : 313

Re : [Résolu] Petit souci empaquetage version 32 bits...

VINDICATORs a écrit :

error: Failed to dlopen /usr/lib/rpm-plugins/selinux.so /usr/lib/rpm-plugins/selinux.so: wrong ELF class: ELFCLASS32

J'ai l'impression que c'est la version 64bits de cette bibliothèque qui est demandée. Le chemin vers la bibliotèque est-il défini dans un fichier de spec ou un fichier makefile ?

Je suppose que celle-ci est la version 32bits:

file $(realpath /usr/lib/rpm-plugins/selinux.so)

La version 64bits serait dans /usr/lib64 ?

Voir aussi s'il n'y a pas un problème avec ces paquets:

rpm -ql rpm-plugin-selinux.x86_64
rpm -ql rpm-plugin-selinux.i686

Dernière modification par Beta-Pictoris (19/09/2018 01:15:59)

Hors ligne

#5 19/09/2018 01:25:52

Beta-Pictoris
Membre
Lieu : Angers
Inscription : 26/09/2010
Messages : 313

Re : [Résolu] Petit souci empaquetage version 32 bits...

Voir, aussi, s'il ne manque pas certaines bibliothèques et si les directives de compilation sont correctes: https://fr.centos.org/forums/viewtopic. … gcc#p13061

Hors ligne

#6 19/09/2018 07:51:56

VINDICATORs
RédactWikix and the graphicatorix!
Modérateur
Lieu : Toulouse(31) France
Inscription : 23/11/2004
Messages : 17 713
Site Web

Re : [Résolu] Petit souci empaquetage version 32 bits...

Bizarre :

[root@zeus5 ~]# file $(realpath /usr/lib/rpm-plugins/selinux.so)
/usr/lib/rpm-plugins/selinux.so: ELF 32-bit LSB shared object, Intel 80386, version 1 (SYSV), dynamically linked, BuildID[sha1]=fc990e84d22c1574fdc8af79b2e4d5312bbf22a9, stripped
[root@zeus5 ~]# 

Les paquets 64 bits sont disponible, c'est les paquets 32 bits qui ne veulent pas ce lancer :

 mock --no-clean -r fedora-29-i386 --arch=i686 rebuild rpmbuild/SRPMS/mesa-*2.*.vind_depot*
[root@zeus5 ~]# rpm -ql rpm-plugin-selinux.i686
/usr/lib/.build-id
/usr/lib/.build-id/fc
/usr/lib/.build-id/fc/990e84d22c1574fdc8af79b2e4d5312bbf22a9
/usr/lib/rpm-plugins/selinux.so
[root@zeus5 ~]# rpm -ql rpm-plugin-selinux.x86_64
/usr/lib/.build-id
/usr/lib/.build-id/60
/usr/lib/.build-id/60/9aaad4288747b15084f05658f5906f50275a51
/usr/lib64/rpm-plugins/selinux.so

Je regarde du coté de python mais la liste est longue :

[mockbuild@zeus5 ~]$ dnf list python* --installed
Paquets installés
python-matplotlib-data.noarch                                                    2.2.3-1.fc29                                                          @fedora         
python-matplotlib-data-fonts.noarch                                              2.2.3-1.fc29                                                          @fedora         
python-pip-wheel.noarch                                                          18.0-3.fc29                                                           @fedora         
python-qt5-rpm-macros.noarch                                                     5.11.2-4.fc29                                                         @fedora         
python-rpm-macros.noarch                                                         3-37.fc29                                                             @fedora         
python-setuptools-wheel.noarch                                                   39.2.0-7.fc29                                                         @fedora         
python-srpm-macros.noarch                                                        3-37.fc29                                                             @fedora         
python-systemd-doc.x86_64                                                        234-7.fc29                                                            @fedora         
python-unversioned-command.noarch                                                2.7.15-8.fc29                                                         @updates-testing
python2.x86_64                                                                   2.7.15-8.fc29                                                         @updates-testing
python2-Automat.noarch                                                           0.6.0-3.fc29                                                          @fedora         
python2-asn1crypto.noarch                                                        0.24.0-5.fc29                                                         @fedora         
python2-attrs.noarch                                                             17.4.0-7.fc29                                                         @fedora         
python2-backports.x86_64                                                         1.0-15.fc29                                                           @fedora         
python2-backports-ssl_match_hostname.noarch                                      3.5.0.1-10.fc29                                                       @fedora         
python2-bcrypt.x86_64                                                            3.1.4-6.fc29                                                          @fedora         
python2-beautifulsoup4.noarch                                                    4.6.3-1.fc29                                                          @fedora         
python2-bodhi.noarch                                                             3.10.0-1.fc29                                                         @updates-testing
python2-bodhi-client.noarch                                                      3.10.0-1.fc29                                                         @updates-testing
python2-broccoli.x86_64                                                          2.5.4-4.fc29                                                          @fedora         
python2-cairo.x86_64                                                             1.17.1-2.fc29                                                         @fedora         
python2-cffi.x86_64                                                              1.11.5-6.fc29                                                         @fedora         
python2-chardet.noarch                                                           3.0.4-7.fc29                                                          @fedora         
python2-click.noarch                                                             6.7-9.fc29                                                            @fedora         
python2-constantly.noarch                                                        15.1.0-3.fc29                                                         @fedora         
python2-cryptography.x86_64                                                      2.3-2.fc29                                                            @fedora         
python2-cssselect.noarch                                                         0.9.2-9.fc29                                                          @fedora         
python2-dateutil.noarch                                                          1:2.7.0-3.fc29                                                        @fedora         
python2-dbus.x86_64                                                              1.2.8-3.fc29                                                          @fedora         
python2-dnf.noarch                                                               3.5.1-1.fc29                                                          @updates-testing
python2-dpkt.noarch                                                              1.9.1-6.fc29                                                          @fedora         
python2-enum34.noarch                                                            1.1.6-7.fc29                                                          @fedora         
python2-ethtool.x86_64                                                           0.13-6.fc29                                                           @fedora         
python2-fedora.noarch                                                            0.10.0-5.fc29                                                         @fedora         
python2-fuse.x86_64                                                              0.2.1-23.fc29                                                         @fedora         
python2-gobject.x86_64                                                           3.30.0-2.fc29                                                         @updates-testing
python2-gobject-base.x86_64                                                      3.30.0-2.fc29                                                         @updates-testing
python2-gpg.x86_64                                                               1.11.1-3.fc29                                                         @fedora         
python2-hamcrest.noarch                                                          1.9.0-7.fc29                                                          @fedora         
python2-hawkey.x86_64                                                            0.19.1-2.fc29                                                         @updates-testing
python2-html5lib.noarch                                                          1:1.0.1-1.fc29                                                        @fedora         
python2-hyperlink.noarch                                                         18.0.0-3.fc29                                                         @fedora         
python2-idna.noarch                                                              2.7-3.fc29                                                            @fedora         
python2-incremental.noarch                                                       17.5.0-4.fc29                                                         @fedora         
python2-iniparse.noarch                                                          0.4-32.fc29                                                           @fedora         
python2-ipaddress.noarch                                                         1.0.18-5.fc29                                                         @fedora         
python2-jwt.noarch                                                               1.6.4-1.fc29                                                          @fedora         
python2-kerberos.x86_64                                                          1.3.0-3.fc29                                                          @fedora         
python2-kitchen.noarch                                                           1.2.5-5.fc29                                                          @fedora         
python2-koji.noarch                                                              1.16.1-2.fc29                                                         @updates-testing
python2-krbv.x86_64                                                              1.0.90-19.fc29                                                        @fedora         
python2-libcomps.x86_64                                                          0.1.8-14.fc29                                                         @fedora         
python2-libdnf.x86_64                                                            0.19.1-2.fc29                                                         @updates-testing
python2-libs.x86_64                                                              2.7.15-8.fc29                                                         @updates-testing
python2-libselinux.x86_64                                                        2.8-3.fc29                                                            @fedora         
python2-libuser.x86_64                                                           0.62-18.fc29                                                          @fedora         
python2-linux-procfs.noarch                                                      0.5.1-6.fc29                                                          @fedora         
python2-lockfile.noarch                                                          1:0.11.0-12.fc29                                                      @fedora         
python2-lxml.x86_64                                                              4.2.3-2.fc29                                                          @fedora         
python2-munch.noarch                                                             2.3.2-1.fc29                                                          @fedora         
python2-mwclient.noarch                                                          0.9.1-1.fc29                                                          @fedora         
python2-newt.x86_64                                                              0.52.20-12.fc29                                                       @fedora         
python2-nose.noarch                                                              1.3.7-21.fc29                                                         @fedora         
python2-numpy.x86_64                                                             1:1.15.1-1.fc29                                                       @updates-testing
python2-oauthlib.noarch                                                          2.1.0-1.fc29                                                          @fedora         
python2-offtrac.noarch                                                           0.1.0-15.fc29                                                         @fedora         
python2-openidc-client.noarch                                                    0.6.0-3.20180605gitcd8d91c.fc29                                       @fedora         
python2-paramiko.noarch                                                          2.4.1-5.fc29                                                          @fedora         
python2-pcapy.x86_64                                                             0.11.4-3.fc29                                                         @fedora         
python2-pip.noarch                                                               18.0-3.fc29                                                           @fedora         
python2-ply.noarch                                                               3.9-8.fc29                                                            @fedora         
python2-pwquality.x86_64                                                         1.4.0-10.fc29                                                         @fedora         
python2-pyOpenSSL.noarch                                                         18.0.0-3.fc29                                                         @fedora         
python2-pyasn1.noarch                                                            0.3.7-4.fc29                                                          @fedora         
python2-pycparser.noarch                                                         2.14-15.fc29                                                          @fedora         
python2-pycurl.x86_64                                                            7.43.0.2-3.fc29                                                       @fedora         
python2-pynacl.x86_64                                                            1.2.1-3.fc29                                                          @fedora         
python2-pysocks.noarch                                                           1.6.8-4.fc29                                                          @fedora         
python2-pyusb.noarch                                                             1.0.2-1.fc29                                                          @fedora         
python2-pyxattr.x86_64                                                           0.5.6-2.fc29                                                          @fedora         
python2-requests.noarch                                                          2.19.1-3.fc29                                                         @fedora         
python2-requests-kerberos.noarch                                                 0.12.0-4.fc29                                                         @fedora         
python2-requests-oauthlib.noarch                                                 1.0.0-1.fc29                                                          @fedora         
python2-rpm.x86_64                                                               4.14.2-1.fc29                                                         @fedora         
python2-schedutils.x86_64                                                        0.6-4.fc29                                                            @fedora         
python2-setuptools.noarch                                                        39.2.0-7.fc29                                                         @fedora         
python2-simplejson.x86_64                                                        3.16.0-1.fc29                                                         @fedora         
python2-six.noarch                                                               1.11.0-6.fc29                                                         @fedora         
python2-sqlalchemy.x86_64                                                        1.2.11-1.fc29                                                         @fedora         
python2-twisted.x86_64                                                           18.7.0-2.fc29                                                         @fedora         
python2-urlgrabber.noarch                                                        3.10.1-16.fc29                                                        @fedora         
python2-urllib3.noarch                                                           1.23-4.fc29                                                           @fedora         
python2-webencodings.noarch                                                      0.5.1-6.fc29                                                          @fedora         
python2-xpyb.x86_64                                                              1.3.1-11.fc28                                                         @fedora         
python2-yubico.noarch                                                            1.3.2-10.fc29                                                         @fedora         
python2-zope-event.noarch                                                        4.2.0-11.fc29                                                         @fedora         
python2-zope-interface.x86_64                                                    4.5.0-2.fc29                                                          @fedora         
python3.i686                                                                     3.7.0-9.fc29                                                          @updates-testing
python3.x86_64                                                                   3.7.0-9.fc29                                                          @fedora         
python3-GitPython.noarch                                                         2.1.11-1.fc29                                                         @fedora         
python3-IPy.noarch                                                               0.81-23.fc29                                                          @fedora         
python3-abrt.x86_64                                                              2.10.10-5.fc29                                                        @updates-testing
python3-abrt-addon.x86_64                                                        2.10.10-5.fc29                                                        @updates-testing
python3-asn1crypto.noarch                                                        0.24.0-5.fc29                                                         @fedora         
python3-audit.x86_64                                                             3.0-0.4.20180831git0047a6c.fc29                                       @updates-testing
python3-augeas.noarch                                                            0.5.0-13.fc29                                                         @fedora         
python3-beautifulsoup4.noarch                                                    4.6.3-1.fc29                                                          @fedora         
python3-bind.noarch                                                              32:9.11.4-5.P1.fc29                                                   @fedora         
python3-blivet.noarch                                                            1:3.1.0-2.fc29                                                        @updates-testing
python3-blockdev.x86_64                                                          2.19-1.fc29                                                           @fedora         
python3-bodhi.noarch                                                             3.10.0-1.fc29                                                         @updates-testing
python3-bodhi-client.noarch                                                      3.10.0-1.fc29                                                         @updates-testing
python3-bugzilla.noarch                                                          2.2.0-1.fc29                                                          @fedora         
python3-bytesize.x86_64                                                          1.4-1.fc29                                                            @fedora         
python3-cairo.x86_64                                                             1.17.1-2.fc29                                                         @fedora         
python3-canberra.noarch                                                          0-0.17.git88c53cd.fc29                                                @fedora         
python3-cangjie.x86_64                                                           1.2-16.fc29                                                           @fedora         
python3-cccolutils.x86_64                                                        1.5-9.fc29                                                            @fedora         
python3-cffi.x86_64                                                              1.11.5-6.fc29                                                         @fedora         
python3-chardet.noarch                                                           3.0.4-7.fc29                                                          @fedora         
python3-click.noarch                                                             6.7-9.fc29                                                            @fedora         
python3-configobj.noarch                                                         5.0.6-14.fc29                                                         @fedora         
python3-coverage.x86_64                                                          4.5.1-3.fc29                                                          @fedora         
python3-cryptography.x86_64                                                      2.3-2.fc29                                                            @fedora         
python3-cssselect.noarch                                                         0.9.2-9.fc29                                                          @fedora         
python3-cups.x86_64                                                              1.9.72-22.fc29                                                        @fedora         
python3-cycler.noarch                                                            0.10.0-8.fc29                                                         @fedora         
python3-dateutil.noarch                                                          1:2.7.0-3.fc29                                                        @fedora         
python3-dbus.x86_64                                                              1.2.8-3.fc29                                                          @fedora         
python3-decorator.noarch                                                         4.3.0-1.fc29                                                          @fedora         
python3-devel.x86_64                                                             3.7.0-9.fc29                                                          @fedora         
python3-distro.noarch                                                            1.3.0-4.fc29                                                          @fedora         
python3-dnf.noarch                                                               3.5.1-1.fc29                                                          @updates-testing
python3-dnf-plugins-core.noarch                                                  3.0.3-1.fc29                                                          @updates-testing
python3-dnfdaemon.noarch                                                         0.3.19-4.fc29                                                         @updates-testing
python3-enchant.noarch                                                           2.0.0-5.fc29                                                          @fedora         
python3-fedora.noarch                                                            0.10.0-5.fc29                                                         @fedora         
python3-firewall.noarch                                                          0.6.1-2.fc29                                                          @fedora         
python3-forensic1394.x86_64                                                      0.2-22.fc29                                                           @fedora         
python3-funcsigs.noarch                                                          1.0.2-11.fc29                                                         @fedora         
python3-gdal.x86_64                                                              2.3.1-3.fc29                                                          @fedora         
python3-gitdb.noarch                                                             2.0.3-4.fc29                                                          @fedora         
python3-gobject.x86_64                                                           3.30.0-2.fc29                                                         @fedora         
python3-gobject-base.x86_64                                                      3.30.0-2.fc29                                                         @fedora         
python3-gpg.x86_64                                                               1.11.1-3.fc29                                                         @fedora         
python3-hawkey.x86_64                                                            0.19.1-2.fc29                                                         @updates-testing
python3-html5lib.noarch                                                          1:1.0.1-1.fc29                                                        @fedora         
python3-humanize.noarch                                                          0.5.1-14.fc29                                                         @fedora         
python3-idna.noarch                                                              2.7-3.fc29                                                            @fedora         
python3-iniparse.noarch                                                          0.4-32.fc29                                                           @fedora         
python3-inotify.noarch                                                           0.9.6-13.fc29                                                         @fedora         
python3-kerberos.x86_64                                                          1.3.0-3.fc29                                                          @fedora         
python3-kickstart.noarch                                                         3.16-1.fc29                                                           @fedora         
python3-kitchen.noarch                                                           1.2.5-5.fc29                                                          @fedora         
python3-kiwisolver.x86_64                                                        1.0.1-3.fc29                                                          @fedora         
python3-koji.noarch                                                              1.16.1-2.fc29                                                         @updates-testing
python3-langtable.noarch                                                         0.0.38-8.fc29                                                         @fedora         
python3-libcomps.x86_64                                                          0.1.8-14.fc29                                                         @fedora         
python3-libdnf.x86_64                                                            0.19.1-2.fc29                                                         @updates-testing
python3-libreport.x86_64                                                         2.9.5-4.fc29                                                          @fedora         
python3-libs.i686                                                                3.7.0-9.fc29                                                          @updates-testing
python3-libs.x86_64                                                              3.7.0-9.fc29                                                          @fedora         
python3-libselinux.x86_64                                                        2.8-3.fc29                                                            @fedora         
python3-libsemanage.x86_64                                                       2.8-3.fc29                                                            @fedora         
python3-libvirt.x86_64                                                           4.7.0-1.fc29                                                          @updates-testing
python3-libxml2.x86_64                                                           2.9.8-4.fc29                                                          @fedora         
python3-linux-procfs.noarch                                                      0.5.1-6.fc29                                                          @fedora         
python3-lockfile.noarch                                                          1:0.11.0-12.fc29                                                      @fedora         
python3-lxml.x86_64                                                              4.2.3-2.fc29                                                          @fedora         
python3-magic.noarch                                                             5.34-3.fc29                                                           @fedora         
python3-matplotlib.x86_64                                                        2.2.3-1.fc29                                                          @fedora         
python3-matplotlib-tk.x86_64                                                     2.2.3-1.fc29                                                          @fedora         
python3-meh.noarch                                                               0.47-1.fc29                                                           @fedora         
python3-meh-gui.noarch                                                           0.47-1.fc29                                                           @fedora         
python3-mock.noarch                                                              2.0.0-10.fc29                                                         @fedora         
python3-munch.noarch                                                             2.3.2-1.fc29                                                          @fedora         
python3-networkx.noarch                                                          1.11-13.fc29                                                          @fedora         
python3-networkx-core.noarch                                                     1.11-13.fc29                                                          @fedora         
python3-networkx-drawing.noarch                                                  1.11-13.fc29                                                          @fedora         
python3-networkx-geo.noarch                                                      1.11-13.fc29                                                          @fedora         
python3-newt.x86_64                                                              0.52.20-12.fc29                                                       @fedora         
python3-ntplib.noarch                                                            0.3.3-12.fc29                                                         @fedora         
python3-numpy.x86_64                                                             1:1.15.1-1.fc29                                                       @updates-testing
python3-numpy-f2py.x86_64                                                        1:1.15.1-1.fc29                                                       @updates-testing
python3-olefile.noarch                                                           0.45.1-3.fc29                                                         @fedora         
python3-openidc-client.noarch                                                    0.6.0-3.20180605gitcd8d91c.fc29                                       @fedora         
python3-ordered-set.noarch                                                       2.0.2-7.fc29                                                          @fedora         
python3-pbr.noarch                                                               4.1.1-1.fc29                                                          @fedora         
python3-perf.x86_64                                                              4.18.7-300.fc29                                                       @updates-testing
python3-pid.noarch                                                               2.1.1-9.fc29                                                          @fedora         
python3-pillow.x86_64                                                            5.2.0-3.fc29                                                          @fedora         
python3-pip.noarch                                                               18.0-3.fc29                                                           @fedora         
python3-ply.noarch                                                               3.9-8.fc29                                                            @fedora         
python3-policycoreutils.noarch                                                   2.8-6.fc29                                                            @fedora         
python3-productmd.noarch                                                         1.16-1.fc29                                                           @fedora         
python3-pwquality.x86_64                                                         1.4.0-10.fc29                                                         @fedora         
python3-pyOpenSSL.noarch                                                         18.0.0-3.fc29                                                         @fedora         
python3-pycparser.noarch                                                         2.14-15.fc29                                                          @fedora         
python3-pycurl.x86_64                                                            7.43.0.2-3.fc29                                                       @fedora         
python3-pydbus.noarch                                                            0.6.0-7.fc29                                                          @fedora         
python3-pydotplus.noarch                                                         2.0.2-9.fc29                                                          @fedora         
python3-pygments.noarch                                                          2.2.0-14.fc29                                                         @fedora         
python3-pyparsing.noarch                                                         2.2.0-3.fc29                                                          @fedora         
python3-pyparted.x86_64                                                          1:3.11.0-17.fc29                                                      @fedora         
python3-pyqt5-sip.x86_64                                                         4.19.12-9.fc29                                                        @fedora         
python3-pyroute2.noarch                                                          0.5.2-3.fc29                                                          @fedora         
python3-pysocks.noarch                                                           1.6.8-4.fc29                                                          @fedora         
python3-pystray.noarch                                                           0.14.3-6.fc29                                                         @fedora         
python3-pytz.noarch                                                              2018.5-1.fc29                                                         @fedora         
python3-pyudev.noarch                                                            0.21.0-8.fc29                                                         @fedora         
python3-pyxdg.noarch                                                             0.26-1.fc29                                                           @fedora         
python3-pyyaml.x86_64                                                            4.2-0.1.b4.fc29                                                       @fedora         
python3-qt5.x86_64                                                               5.11.2-4.fc29                                                         @fedora         
python3-qt5-base.x86_64                                                          5.11.2-4.fc29                                                         @fedora         
python3-requests.noarch                                                          2.19.1-3.fc29                                                         @fedora         
python3-requests-file.noarch                                                     1.4.3-8.fc29                                                          @fedora         
python3-requests-ftp.noarch                                                      0.3.1-13.fc29                                                         @fedora         
python3-requests-kerberos.noarch                                                 0.12.0-4.fc29                                                         @fedora         
python3-rpkg.noarch                                                              1.56-1.fc29                                                           @fedora         
python3-rpm.x86_64                                                               4.14.2-1.fc29                                                         @fedora         
python3-rpm-generators.noarch                                                    5-4.fc29                                                              @fedora         
python3-rpm-macros.noarch                                                        3-37.fc29                                                             @fedora         
python3-scapy.noarch                                                             2.4.0-4.fc29                                                          @fedora         
python3-schedutils.x86_64                                                        0.6-4.fc29                                                            @fedora         
python3-scipy.x86_64                                                             1.1.0-1.fc29                                                          @fedora         
python3-setools.x86_64                                                           4.1.1-13.fc29                                                         @updates-testing
python3-setuptools.noarch                                                        39.2.0-7.fc29                                                         @fedora         
python3-sh.noarch                                                                1.12.14-6.fc29                                                        @fedora         
python3-simplejson.x86_64                                                        3.16.0-1.fc29                                                         @fedora         
python3-simpleline.noarch                                                        1.3-5.fc29                                                            @fedora         
python3-six.noarch                                                               1.11.0-6.fc29                                                         @fedora         
python3-slip.noarch                                                              0.6.4-12.fc29                                                         @fedora         
python3-slip-dbus.noarch                                                         0.6.4-12.fc29                                                         @fedora         
python3-smmap.noarch                                                             2.0.3-4.fc29                                                          @fedora         
python3-sssdconfig.noarch                                                        2.0.0-3.fc29                                                          @fedora         
python3-systemd.x86_64                                                           234-7.fc29                                                            @fedora         
python3-tkinter.x86_64                                                           3.7.0-9.fc29                                                          @fedora         
python3-urllib3.noarch                                                           1.23-4.fc29                                                           @fedora         
python3-webencodings.noarch                                                      0.5.1-6.fc29                                                          @fedora         
python3-xlib.noarch                                                              0.23-3.fc29                                                           @fedora         
python3-yui.x86_64 

C'est bien la première fois que je rencontre ce souci. Au pire je vais faire une install de F28 sur une VM pour voir ce que j'ai loupé.

Bon j'ai même pleins de rétrogradations si j'essaye d'installer certaines bibliothèques 32 bits... C'est pas la grande joie sur F29 pour le moment... Du coup cela explique sans doute le problème...


AMD Ryzen 7 2700X + MSI Gaming Pro Carbon X470, 32Go de RAM DDR4 3200@3333Mhz Gskill Trident Z RBG CL14, AMD Radeon RX590 Sapphire Nitro+ Special Edition 8Go GDDR5
SSD Samsung : 1x 970 NVME (PCI-express 3.0x4) 500Go + 1x 850 EVO 250Go + 2x 860 EVO 500Go + 2x1To 860 QVO  / HDD : 1x2To WD black 64Mo + 1x4to WD Black 128Mo + 3To WD red
Boitier GMT Bequiet Dark 900 + Lepa 800W 80+gold

Hors ligne

#7 19/09/2018 09:32:53

Beta-Pictoris
Membre
Lieu : Angers
Inscription : 26/09/2010
Messages : 313

Re : [Résolu] Petit souci empaquetage version 32 bits...

Je suppose que tu as bien installé les glibc-devel.i686 et libstdc++-devel.i686.

Et si tu exportes les variables avant de lancer mock ?

export CFLAGS=-m32
export CXXFLAGS=-m32
export LDFLAGS=-m32

Dernière modification par Beta-Pictoris (19/09/2018 10:00:11)

Hors ligne

#8 19/09/2018 11:30:56

madko
Contributeur Fedora et Linuxé depuis 1994
Modérateur
Lieu : Noisy the Great (9³)
Inscription : 22/12/2006
Messages : 7 368
Site Web

Re : [Résolu] Petit souci empaquetage version 32 bits...

Tu verifies bien dans le chroot mock que les dépendances sont présentes ? Pas sur ton système . Peut être un bug mock sur f29.

Hors ligne

#9 19/09/2018 11:50:48

VINDICATORs
RédactWikix and the graphicatorix!
Modérateur
Lieu : Toulouse(31) France
Inscription : 23/11/2004
Messages : 17 713
Site Web

Re : [Résolu] Petit souci empaquetage version 32 bits...

Je viens de me faire supprimer pas mal de paquets... Je vais revoir cela dans des VM parce que c'est un peu le bordel du coup. Je ne sais plus ce qui est bon ou pas...


AMD Ryzen 7 2700X + MSI Gaming Pro Carbon X470, 32Go de RAM DDR4 3200@3333Mhz Gskill Trident Z RBG CL14, AMD Radeon RX590 Sapphire Nitro+ Special Edition 8Go GDDR5
SSD Samsung : 1x 970 NVME (PCI-express 3.0x4) 500Go + 1x 850 EVO 250Go + 2x 860 EVO 500Go + 2x1To 860 QVO  / HDD : 1x2To WD black 64Mo + 1x4to WD Black 128Mo + 3To WD red
Boitier GMT Bequiet Dark 900 + Lepa 800W 80+gold

Hors ligne

#10 19/09/2018 12:29:35

Beta-Pictoris
Membre
Lieu : Angers
Inscription : 26/09/2010
Messages : 313

Re : [Résolu] Petit souci empaquetage version 32 bits...

Et si tu essayes à l'ancienne avec setarch ? :

setarch i686 mock --no-clean -r fedora-29-i386 --arch=i686 rebuild rpmbuild/SRPMS/mesa-*2.*.vind_depot*

Dernière modification par Beta-Pictoris (19/09/2018 12:29:49)

Hors ligne

#11 19/09/2018 15:03:16

VINDICATORs
RédactWikix and the graphicatorix!
Modérateur
Lieu : Toulouse(31) France
Inscription : 23/11/2004
Messages : 17 713
Site Web

Re : [Résolu] Petit souci empaquetage version 32 bits...

Je regarde cela ce soir si j'ai le temps (je dois finir de monter le Ryzen 3 et commencer le A6) Mais bon c'est bien pénible quand même.


AMD Ryzen 7 2700X + MSI Gaming Pro Carbon X470, 32Go de RAM DDR4 3200@3333Mhz Gskill Trident Z RBG CL14, AMD Radeon RX590 Sapphire Nitro+ Special Edition 8Go GDDR5
SSD Samsung : 1x 970 NVME (PCI-express 3.0x4) 500Go + 1x 850 EVO 250Go + 2x 860 EVO 500Go + 2x1To 860 QVO  / HDD : 1x2To WD black 64Mo + 1x4to WD Black 128Mo + 3To WD red
Boitier GMT Bequiet Dark 900 + Lepa 800W 80+gold

Hors ligne

#12 19/09/2018 22:01:38

VINDICATORs
RédactWikix and the graphicatorix!
Modérateur
Lieu : Toulouse(31) France
Inscription : 23/11/2004
Messages : 17 713
Site Web

Re : [Résolu] Petit souci empaquetage version 32 bits...

Beta-Pictoris a écrit :

Et si tu essayes à l'ancienne avec setarch ? :

setarch i686 mock --no-clean -r fedora-29-i386 --arch=i686 rebuild rpmbuild/SRPMS/mesa-*2.*.vind_depot*

Même problème...


AMD Ryzen 7 2700X + MSI Gaming Pro Carbon X470, 32Go de RAM DDR4 3200@3333Mhz Gskill Trident Z RBG CL14, AMD Radeon RX590 Sapphire Nitro+ Special Edition 8Go GDDR5
SSD Samsung : 1x 970 NVME (PCI-express 3.0x4) 500Go + 1x 850 EVO 250Go + 2x 860 EVO 500Go + 2x1To 860 QVO  / HDD : 1x2To WD black 64Mo + 1x4to WD Black 128Mo + 3To WD red
Boitier GMT Bequiet Dark 900 + Lepa 800W 80+gold

Hors ligne

#13 20/09/2018 00:17:45

Beta-Pictoris
Membre
Lieu : Angers
Inscription : 26/09/2010
Messages : 313

Re : [Résolu] Petit souci empaquetage version 32 bits...

Un ancien problème de retour ? : https://bugzilla.redhat.com/show_bug.cgi?id=1199860

Essaye de virer le paquet rpm-plugin-selinux.i686 et relance mock pour voir ce que ça donne.

Hors ligne

#14 20/09/2018 07:42:12

VINDICATORs
RédactWikix and the graphicatorix!
Modérateur
Lieu : Toulouse(31) France
Inscription : 23/11/2004
Messages : 17 713
Site Web

Re : [Résolu] Petit souci empaquetage version 32 bits...

Du coup cela vas plus loin, mais les bibliothèques 32 bits rentrent en conflit avec les 64 bits :

Error: Transaction check error:
  package glibc-2.28-6.fc29.i686 is already installed
  file /sbin/ldconfig from install of glibc-2.28-6.fc29.i686 conflicts with file from package glibc-2.28-6.fc29.x86_64
  file /usr/sbin/iconvconfig from install of glibc-2.28-6.fc29.i686 conflicts with file from package glibc-2.28-6.fc29.x86_64
  package zlib-1.2.11-10.fc29.i686 is already installed
  package libgcc-8.2.1-2.fc29.i686 is already installed
  package libstdc++-8.2.1-2.fc29.i686 is already installed
  package ncurses-libs-6.1-7.20180714.fc29.i686 is already installed
  package xz-libs-5.2.4-3.fc29.i686 is already installed
  package elfutils-libelf-0.173-8.fc29.i686 is already installed
  package gmp-1:6.1.2-8.fc29.i686 is already installed
  package libffi-3.1-18.fc29.i686 is already installed
  package libxml2-2.9.8-4.fc29.i686 is already installed
  file /usr/bin/xmlcatalog from install of libxml2-2.9.8-4.fc29.i686 conflicts with file from package libxml2-2.9.8-4.fc29.x86_64
  file /usr/bin/xmllint from install of libxml2-2.9.8-4.fc29.i686 conflicts with file from package libxml2-2.9.8-4.fc29.x86_64
  package expat-2.2.6-1.fc29.i686 is already installed
  file /usr/bin/xmlwf from install of expat-2.2.6-1.fc29.i686 conflicts with file from package expat-2.2.6-1.fc29.x86_64
  package libxcrypt-4.1.2-1.fc29.i686 is already installed
  package bzip2-libs-1.0.6-28.fc29.i686 is already installed
  package openssl-libs-1:1.1.1-0.pre9.3.fc29.i686 is already installed
  package libcap-2.25-12.fc29.i686 is already installed
  file /usr/sbin/capsh from install of libcap-2.25-12.fc29.i686 conflicts with file from package libcap-2.25-12.fc29.x86_64
  file /usr/sbin/getcap from install of libcap-2.25-12.fc29.i686 conflicts with file from package libcap-2.25-12.fc29.x86_64
  file /usr/sbin/getpcaps from install of libcap-2.25-12.fc29.i686 conflicts with file from package libcap-2.25-12.fc29.x86_64
  file /usr/sbin/setcap from install of libcap-2.25-12.fc29.i686 conflicts with file from package libcap-2.25-12.fc29.x86_64
  package libuuid-2.32.1-1.fc29.i686 is already installed
  package mpfr-3.1.6-2.fc29.i686 is already installed
  package gdbm-libs-1:1.17-2.fc29.i686 is already installed
  package libdb-5.3.28-33.fc29.i686 is already installed
  package libunistring-0.9.10-4.fc29.i686 is already installed
  package libblkid-2.32.1-1.fc29.i686 is already installed
  package elfutils-libs-0.173-8.fc29.i686 is already installed
  package readline-7.0-12.fc29.i686 is already installed
  package libsepol-2.8-2.fc29.i686 is already installed
  package pcre2-10.31-10.fc29.i686 is already installed
  package libselinux-2.8-3.fc29.i686 is already installed
  file /usr/sbin/sefcontext_compile from install of libselinux-2.8-3.fc29.i686 conflicts with file from package libselinux-2.8-3.fc29.x86_64
  package libmount-2.32.1-1.fc29.i686 is already installed
  package libidn2-2.0.5-2.fc29.i686 is already installed
  package sqlite-libs-3.24.0-2.fc29.i686 is already installed
  package libattr-2.4.48-3.fc29.i686 is already installed
  package libacl-2.2.53-2.fc29.i686 is already installed
  package libcap-ng-0.7.9-4.fc29.i686 is already installed
  package audit-libs-3.0-0.2.20180808git77fbcf3.fc29.i686 is already installed
  package libcom_err-1.44.3-1.fc29.i686 is already installed
  package libgpg-error-1.31-2.fc29.i686 is already installed
  file /usr/bin/gpg-error from install of libgpg-error-1.31-2.fc29.i686 conflicts with file from package libgpg-error-1.31-2.fc29.x86_64
  package libgcrypt-1.8.3-3.fc29.i686 is already installed
  package libzstd-1.3.5-2.fc29.i686 is already installed
  package lua-libs-5.3.5-2.fc29.i686 is already installed
  package lz4-libs-1.8.2-2.fc29.i686 is already installed
  package systemd-libs-239-3.fc29.i686 is already installed
  package popt-1.16-15.fc29.i686 is already installed
  package rpm-libs-4.14.2-1.fc29.i686 is already installed
  package rpm-plugin-selinux-4.14.2-1.fc29.i686 is already installed
  package p11-kit-0.23.13-3.fc29.i686 is already installed
  file /usr/bin/p11-kit from install of p11-kit-0.23.13-3.fc29.i686 conflicts with file from package p11-kit-0.23.13-3.fc29.x86_64
  file /usr/libexec/p11-kit/p11-kit-remote from install of p11-kit-0.23.13-3.fc29.i686 conflicts with file from package p11-kit-0.23.13-3.fc29.x86_64
  package cracklib-2.9.6-15.fc29.i686 is already installed
  file /usr/sbin/cracklib-check from install of cracklib-2.9.6-15.fc29.i686 conflicts with file from package cracklib-2.9.6-15.fc29.x86_64
  file /usr/sbin/cracklib-packer from install of cracklib-2.9.6-15.fc29.i686 conflicts with file from package cracklib-2.9.6-15.fc29.x86_64
  file /usr/sbin/cracklib-unpacker from install of cracklib-2.9.6-15.fc29.i686 conflicts with file from package cracklib-2.9.6-15.fc29.x86_64
  package keyutils-libs-1.5.10-8.fc29.i686 is already installed
  package libtasn1-4.13-4.fc29.i686 is already installed
  package libverto-0.3.0-6.fc29.i686 is already installed
  package krb5-libs-1.16.1-19.fc29.i686 is already installed
  package libtirpc-1.1.4-0.fc29.i686 is already installed
  package libnsl2-1.2.0-3.20180605git4a062cf.fc29.i686 is already installed
  package python3-libs-3.7.0-9.fc29.i686 is already installed
  package pam-1.3.1-3.fc29.i686 is already installed
  file /usr/sbin/faillock from install of pam-1.3.1-3.fc29.i686 conflicts with file from package pam-1.3.1-3.fc29.x86_64
  file /usr/sbin/mkhomedir_helper from install of pam-1.3.1-3.fc29.i686 conflicts with file from package pam-1.3.1-3.fc29.x86_64
  file /usr/sbin/pam_console_apply from install of pam-1.3.1-3.fc29.i686 conflicts with file from package pam-1.3.1-3.fc29.x86_64
  file /usr/sbin/pam_tally2 from install of pam-1.3.1-3.fc29.i686 conflicts with file from package pam-1.3.1-3.fc29.x86_64
  file /usr/sbin/pam_timestamp_check from install of pam-1.3.1-3.fc29.i686 conflicts with file from package pam-1.3.1-3.fc29.x86_64
  file /usr/sbin/pwhistory_helper from install of pam-1.3.1-3.fc29.i686 conflicts with file from package pam-1.3.1-3.fc29.x86_64
  file /usr/sbin/unix_chkpwd from install of pam-1.3.1-3.fc29.i686 conflicts with file from package pam-1.3.1-3.fc29.x86_64
  file /usr/sbin/unix_update from install of pam-1.3.1-3.fc29.i686 conflicts with file from package pam-1.3.1-3.fc29.x86_64
  package pcre-8.42-3.fc29.i686 is already installed
  package glib2-2.58.0-1.fc29.i686 is already installed
  file /usr/bin/gapplication from install of glib2-2.58.0-1.fc29.i686 conflicts with file from package glib2-2.58.0-1.fc29.x86_64
  file /usr/bin/gdbus from install of glib2-2.58.0-1.fc29.i686 conflicts with file from package glib2-2.58.0-1.fc29.x86_64
  file /usr/bin/gio from install of glib2-2.58.0-1.fc29.i686 conflicts with file from package glib2-2.58.0-1.fc29.x86_64
  file /usr/bin/gio-launch-desktop from install of glib2-2.58.0-1.fc29.i686 conflicts with file from package glib2-2.58.0-1.fc29.x86_64
  file /usr/bin/glib-compile-schemas from install of glib2-2.58.0-1.fc29.i686 conflicts with file from package glib2-2.58.0-1.fc29.x86_64
  file /usr/bin/gsettings from install of glib2-2.58.0-1.fc29.i686 conflicts with file from package glib2-2.58.0-1.fc29.x86_64
  package elfutils-0.173-8.fc29.i686 is already installed
  file /usr/bin/eu-addr2line from install of elfutils-0.173-8.fc29.i686 conflicts with file from package elfutils-0.173-8.fc29.x86_64
  file /usr/bin/eu-ar from install of elfutils-0.173-8.fc29.i686 conflicts with file from package elfutils-0.173-8.fc29.x86_64
  file /usr/bin/eu-elfcmp from install of elfutils-0.173-8.fc29.i686 conflicts with file from package elfutils-0.173-8.fc29.x86_64
  file /usr/bin/eu-elfcompress from install of elfutils-0.173-8.fc29.i686 conflicts with file from package elfutils-0.173-8.fc29.x86_64
  file /usr/bin/eu-elflint from install of elfutils-0.173-8.fc29.i686 conflicts with file from package elfutils-0.173-8.fc29.x86_64
  file /usr/bin/eu-findtextrel from install of elfutils-0.173-8.fc29.i686 conflicts with file from package elfutils-0.173-8.fc29.x86_64
  file /usr/bin/eu-nm from install of elfutils-0.173-8.fc29.i686 conflicts with file from package elfutils-0.173-8.fc29.x86_64
  file /usr/bin/eu-objdump from install of elfutils-0.173-8.fc29.i686 conflicts with file from package elfutils-0.173-8.fc29.x86_64
  file /usr/bin/eu-ranlib from install of elfutils-0.173-8.fc29.i686 conflicts with file from package elfutils-0.173-8.fc29.x86_64
  file /usr/bin/eu-readelf from install of elfutils-0.173-8.fc29.i686 conflicts with file from package elfutils-0.173-8.fc29.x86_64
  file /usr/bin/eu-size from install of elfutils-0.173-8.fc29.i686 conflicts with file from package elfutils-0.173-8.fc29.x86_64
  file /usr/bin/eu-stack from install of elfutils-0.173-8.fc29.i686 conflicts with file from package elfutils-0.173-8.fc29.x86_64
  file /usr/bin/eu-strings from install of elfutils-0.173-8.fc29.i686 conflicts with file from package elfutils-0.173-8.fc29.x86_64
  file /usr/bin/eu-strip from install of elfutils-0.173-8.fc29.i686 conflicts with file from package elfutils-0.173-8.fc29.x86_64
  file /usr/bin/eu-unstrip from install of elfutils-0.173-8.fc29.i686 conflicts with file from package elfutils-0.173-8.fc29.x86_64

Error Summary

Edit :

Bon il a fallut faire le ménage dans /var/cache/mock pour pouvoir installer les paquets 32 bits. Du coup cela fonctionne. Je verrai si c'est toujours le cas en remettant rpm-plugin-selinux, mais en l'état je peux de nouveau empaqueter en 32 bits smile . Donc je vais pouvoir remettre le dépôt pour Mesa-Git en route rapidement smile (je lancerai un nouvel empaquetage dans la journée).

Merci Beta-Pictoris, malgré quelques recherche je n'avais pas pensé que cela venait de ce paquet.

PS : je fini mes tests et rapporte le souci sur le bugzilla.


AMD Ryzen 7 2700X + MSI Gaming Pro Carbon X470, 32Go de RAM DDR4 3200@3333Mhz Gskill Trident Z RBG CL14, AMD Radeon RX590 Sapphire Nitro+ Special Edition 8Go GDDR5
SSD Samsung : 1x 970 NVME (PCI-express 3.0x4) 500Go + 1x 850 EVO 250Go + 2x 860 EVO 500Go + 2x1To 860 QVO  / HDD : 1x2To WD black 64Mo + 1x4to WD Black 128Mo + 3To WD red
Boitier GMT Bequiet Dark 900 + Lepa 800W 80+gold

Hors ligne

Pied de page des forums